orm

## Class ColegioPersistentManager

- java.lang.Object
- - org.orm.PersistentManager
  - - orm.ColegioPersistentManager

    public class ColegioPersistentManager
    extends org.orm.PersistentManager

### Nested Class Summary

### Nested classes/interfaces inherited from class org.orm.PersistentManager

`org.orm.PersistentManager.SessionType`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `disposePersistentManager()`
`java.lang.String` `getProjectName()`
`static org.orm.PersistentManager` `instance()`
`static void` `saveJDBCConnectionSetting()`
`static void` `setAppBaseSessionTimeToAlive(int timeInMs)`
`static void` `setConfigurationFile(java.lang.String aConfigurationFile)`
`static void` `setHibernateProperties(java.util.Properties aProperties)`
`static void` `setJDBCConnectionSetting(org.orm.cfg.JDBCConnectionSetting aConnectionSetting)`
`static void` `setSessionType(org.orm.PersistentManager.SessionType sessionType)`

### Methods inherited from class org.orm.PersistentManager

`createConfiguration, deleteObject, getConfiguration, getInterceptor, getORMClassHierarchyMap, getSession, getSession, getSessionType, isObjectPersistable, lockObject, saveJDBCConnectionSetting, saveObject, setFlushMode, setInterceptor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getProjectName

    public java.lang.String getProjectName()

Specified by:
  `getProjectName` in class `org.orm.PersistentManager`

#### instance

    public static final org.orm.PersistentManager instance()
                                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### disposePersistentManager

    public void disposePersistentManager()
                                  throws org.orm.PersistentException

Overrides:
  `disposePersistentManager` in class `org.orm.PersistentManager`
Throws:
  `org.orm.PersistentException`

#### setSessionType

    public static void setSessionType(org.orm.PersistentManager.SessionType sessionType)
                               throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### setAppBaseSessionTimeToAlive

    public static void setAppBaseSessionTimeToAlive(int timeInMs)
                                             throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### setJDBCConnectionSetting

    public static void setJDBCConnectionSetting(org.orm.cfg.JDBCConnectionSetting aConnectionSetting)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### setHibernateProperties

    public static void setHibernateProperties(java.util.Properties aProperties)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### setConfigurationFile

    public static void setConfigurationFile(java.lang.String aConfigurationFile)
                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### saveJDBCConnectionSetting

    public static void saveJDBCConnectionSetting()